
public class Class404 {

   public Interface39[] anInterface39Array4921;


   Interface39 method6828(RS2Buffer var1, Class373 var2, int var3) {
      return (Interface39)(Class373.aClass373_4658 == var2?Class289.method5278(var1, -1829521765):(var2 == Class373.aClass373_4659?PacketContext.method3213(var1, -1830174139):(var2 == Class373.aClass373_4660?Class335.method6180(var1, -227188254):(var2 == Class373.aClass373_4662?Class473.method7932(var1, 202947059):(var2 == Class373.aClass373_4661?Class242.method4367(var1, -1098095683):(var2 == Class373.aClass373_4666?Class225_Sub17_Sub5.method15770(var1, (byte)87):(var2 == Class373.aClass373_4663?Class112.method2231(var1, (short)9666):(Class373.aClass373_4657 == var2?Class53_Sub3_Sub1.method15769(var1, 791976024):(var2 == Class373.aClass373_4664?Class102.method1992(var1, 2029732426):(var2 == Class373.aClass373_4665?Class453.method7591(var1, -1290533913):null))))))))));
   }

   void method6829(RS2Buffer var1, int var2) {
      this.anInterface39Array4921 = new Interface39[var1.readUnsignedByte(-700559597)];
      Class373[] var3 = Class153.method2774(-1977811829);

      for(int var4 = 0; var4 < this.anInterface39Array4921.length; ++var4) {
         if(var2 != '\u80e1') {
            ;
         }

         this.anInterface39Array4921[var4] = this.method6828(var1, var3[var1.readUnsignedByte(-700559597)], 1029945816);
      }

   }

   void method6830(RS2Buffer var1) {
      this.anInterface39Array4921 = new Interface39[var1.readUnsignedByte(-700559597)];
      Class373[] var2 = Class153.method2774(-1518905960);

      for(int var3 = 0; var3 < this.anInterface39Array4921.length; ++var3) {
         this.anInterface39Array4921[var3] = this.method6828(var1, var2[var1.readUnsignedByte(-700559597)], 2111804956);
      }

   }

   void method6831(RS2Buffer var1) {
      this.anInterface39Array4921 = new Interface39[var1.readUnsignedByte(-700559597)];
      Class373[] var2 = Class153.method2774(606072231);

      for(int var3 = 0; var3 < this.anInterface39Array4921.length; ++var3) {
         this.anInterface39Array4921[var3] = this.method6828(var1, var2[var1.readUnsignedByte(-700559597)], 1326472402);
      }

   }

   static void method6832(Class124[] var0, Class124 var1, boolean var2, int var3) {
      int var4 = var1.anInt1394 * 3843669 != 0?3843669 * var1.anInt1394:var1.anInt1368 * 516053361;
      int var5 = -1873816095 * var1.anInt1395 != 0?var1.anInt1395 * -1873816095:437250785 * var1.anInt1383;
      Class116.method2291(var0, var1.anInt1406 * 34646887, var4, var5, var2, (byte)56);
      if(var1.aClass124Array1521 != null) {
         Class116.method2291(var1.aClass124Array1521, var1.anInt1406 * 34646887, var4, var5, var2, (byte)26);
      }

      Class225_Sub4 var6 = (Class225_Sub4)client.aClass423_7832.method7211((long)(var1.anInt1406 * 34646887));
      if(null != var6) {
         Class502.method8379(var6.anInt8385 * -165881631, var4, var5, var2, -1420393895);
      }

      if(var1 == client.aClass124_7857) {
         int var7 = Class184.anInt2209 * -583589671;
         int[] var8 = Class184.anIntArray2204;

         int var9;
         for(var9 = 0; var9 < var7; ++var9) {
            Class515_Sub1_Sub4_Sub4_Sub1 var10 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var8[var9]];
            if(var10 != null) {
               var10.method16655(var4, var5, var2, -1710708437);
            }
         }

         for(var9 = 0; var9 < 1002221073 * client.anInt7922; ++var9) {
            int var12 = client.anIntArray7697[var9];
            ObjectVar var11 = (ObjectVar)client.aClass423_7693.method7211((long)var12);
            if(null != var11) {
               ((Class515_Sub1_Sub4_Sub4)var11.object).method16655(var4, var5, var2, -1710708437);
            }
         }
      }

   }

   public static void method6833(String var0, byte var1) {
      if(client.aBool7669 && (Class36.anInt417 * 1544912369 & 24) != 0) {
         boolean var2 = false;
         int var3 = Class184.anInt2209 * -583589671;
         int[] var4 = Class184.anIntArray2204;

         for(int var5 = 0; var5 < var3; ++var5) {
            Class515_Sub1_Sub4_Sub4_Sub1 var6 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var4[var5]];
            if(null != var6.aString10856 && var6.aString10856.equalsIgnoreCase(var0) && (var6 == Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113 && 0 != (Class36.anInt417 * 1544912369 & 16) || 0 != (1544912369 * Class36.anInt417 & 8))) {
               Class225_Sub15 var7 = Class543.method11415(OutgoingOpcode.aClass302_3767, client.aClass180_7704.aClass433_2184, (byte)1);
               var7.buffer.writeShort(client.anInt7827 * 1404731223, 999510262);
               var7.buffer.writeShort(client.anInt7918 * -403722165, -150770129);
               var7.buffer.writeInt1(1771980849 * Class527.anInt7179, -511011162);
               var7.buffer.method13743(0, -1739182777);
               var7.buffer.writeShortA(var4[var5], -594177384);
               client.aClass180_7704.method3191(var7, (byte)85);
               int var8 = var6.method16638(1703642162);
               Class421.method7188(var6.anIntArray10770[0], var6.anIntArray10779[0], true, Class216.method3742(var6.anIntArray10770[0], var6.anIntArray10779[0], var8, var8, 0, 639741949), -1188929201);
               var2 = true;
               break;
            }
         }

         if(!var2) {
            Class285.method5239(4, Class418.aClass418_5155.method7137(Class498.aClass470_5944, (byte)-54) + var0, (byte)30);
         }

         if(client.aBool7669) {
            Class54.method1250(1105771723);
         }

      }
   }

   static void method6834(int var0, int var1, int var2, byte var3) {
      Class225_Sub14_Sub2 var4 = Class49.method1193(9, (long)var0);
      var4.method15502((byte)-39);
      var4.anInt9990 = -1655449005 * var1;
      var4.anInt10006 = 1329717343 * var2;
   }

   static final void method6835(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var0.aClass64_5997.aStringArray608[var2];
   }
}
